// BemIsolView.h : interface of the CBemIsolView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BEMISOLVIEW_H__66CCB1B6_1064_11D3_AAFC_E1204C4ACF35__INCLUDED_)
#define AFX_BEMISOLVIEW_H__66CCB1B6_1064_11D3_AAFC_E1204C4ACF35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CBemIsolView : public CZoomView
{
protected: // create from serialization only
	CBemIsolView();
	DECLARE_DYNCREATE(CBemIsolView)

// Attributes
public:
	CBemIsolDoc* GetDocument();

// Operations
public:
	int LBut,net;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBemIsolView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBemIsolView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBemIsolView)
	afx_msg void OnNetDen();
	afx_msg void OnUpdateNetDen(CCmdUI* pCmdUI);
	afx_msg void OnNetNorm();
	afx_msg void OnUpdateNetNorm(CCmdUI* pCmdUI);
	afx_msg void OnNetSc();
	afx_msg void OnUpdateNetSc(CCmdUI* pCmdUI);
	afx_msg void OnZoomIn();
	afx_msg void OnZoomOut();
	afx_msg void OnZoomFull();
	afx_msg void OnIntReg();
	afx_msg void OnIntNon();
	afx_msg void OnIsolOpen();
	afx_msg void OnLabel();
	afx_msg void OnUpdateLabel(CCmdUI* pCmdUI);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnFormatFont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BemIsolView.cpp
inline CBemIsolDoc* CBemIsolView::GetDocument()
   { return (CBemIsolDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BEMISOLVIEW_H__66CCB1B6_1064_11D3_AAFC_E1204C4ACF35__INCLUDED_)
